Skip to main content
GET
List Cryptocurrency Deposits

Authorizations

Authorization
string
header
required

Bearer authentication with an API token

Query Parameters

account_id
string
required

Unique identifier of the account to filter deposits by

destination_chain
enum<string>

(OPTIONAL) Optional chain filter Chain identifier

Available options:
CHAIN_UNSPECIFIED,
ETHEREUM_MAINNET,
POLYGON_MAINNET,
ETHEREUM_TESTNET,
OPTIMISM_SEPOLIA,
BASE_MAINNET,
BASE_SEPOLIA,
OPTIMISM_MAINNET,
POLYGON_AMOY,
SOLANA_MAINNET,
SOLANA_DEVNET
Example:

"ETHEREUM_MAINNET"

currency_symbol
string

(OPTIONAL) Optional currency symbol filter

start_time
string<date-time>

A Timestamp represents a point in time independent of any time zone or local calendar, encoded as a count of seconds and fractions of seconds at nanosecond resolution. The count is relative to an epoch at UTC midnight on January 1, 1970, in the proleptic Gregorian calendar which extends the Gregorian calendar backwards to year one.

All minutes are 60 seconds long. Leap seconds are "smeared" so that no leap second table is needed for interpretation, using a 24-hour linear smear.

The range is from 0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z. By restricting to that range, we ensure that we can convert to and from RFC 3339 date strings.

Examples

Example 1: Compute Timestamp from POSIX time().

Example 2: Compute Timestamp from POSIX gettimeofday().

Example 3: Compute Timestamp from Win32 GetSystemTimeAsFileTime().

Example 4: Compute Timestamp from Java System.currentTimeMillis().

Example 5: Compute Timestamp from Java Instant.now().

Example 6: Compute Timestamp from current time in Python.

JSON Mapping

In JSON format, the Timestamp type is encoded as a string in the RFC 3339 format. That is, the format is "{year}-{month}-{day}T{hour}:{min}:{sec}[.{frac_sec}]Z" where {year} is always expressed using four digits while {month}, {day}, {hour}, {min}, and {sec} are zero-padded to two digits each. The fractional seconds, which can go up to 9 digits (i.e. up to 1 nanosecond resolution), are optional. The "Z" suffix indicates the timezone ("UTC"); the timezone is required. A ProtoJSON serializer should always use UTC (as indicated by "Z") when printing the Timestamp type and a ProtoJSON parser should be able to accept both UTC and other timezones (as indicated by an offset).

For example, "2017-01-15T01:30:15.01Z" encodes 15.01 seconds past 01:30 UTC on January 15, 2017.

In JavaScript, one can convert a Date object to this format using the standard toISOString() method. In Python, a standard datetime.datetime object can be converted to this format using strftime with the time format spec '%Y-%m-%dT%H:%M:%S.%fZ'. Likewise, in Java, one can use the Joda Time's ISODateTimeFormat.dateTime() to obtain a formatter capable of generating timestamps in this format.

Examples:

"2023-01-15T01:30:15.01Z"

"2024-12-25T12:00:00Z"

end_time
string<date-time>

A Timestamp represents a point in time independent of any time zone or local calendar, encoded as a count of seconds and fractions of seconds at nanosecond resolution. The count is relative to an epoch at UTC midnight on January 1, 1970, in the proleptic Gregorian calendar which extends the Gregorian calendar backwards to year one.

All minutes are 60 seconds long. Leap seconds are "smeared" so that no leap second table is needed for interpretation, using a 24-hour linear smear.

The range is from 0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z. By restricting to that range, we ensure that we can convert to and from RFC 3339 date strings.

Examples

Example 1: Compute Timestamp from POSIX time().

Example 2: Compute Timestamp from POSIX gettimeofday().

Example 3: Compute Timestamp from Win32 GetSystemTimeAsFileTime().

Example 4: Compute Timestamp from Java System.currentTimeMillis().

Example 5: Compute Timestamp from Java Instant.now().

Example 6: Compute Timestamp from current time in Python.

JSON Mapping

In JSON format, the Timestamp type is encoded as a string in the RFC 3339 format. That is, the format is "{year}-{month}-{day}T{hour}:{min}:{sec}[.{frac_sec}]Z" where {year} is always expressed using four digits while {month}, {day}, {hour}, {min}, and {sec} are zero-padded to two digits each. The fractional seconds, which can go up to 9 digits (i.e. up to 1 nanosecond resolution), are optional. The "Z" suffix indicates the timezone ("UTC"); the timezone is required. A ProtoJSON serializer should always use UTC (as indicated by "Z") when printing the Timestamp type and a ProtoJSON parser should be able to accept both UTC and other timezones (as indicated by an offset).

For example, "2017-01-15T01:30:15.01Z" encodes 15.01 seconds past 01:30 UTC on January 15, 2017.

In JavaScript, one can convert a Date object to this format using the standard toISOString() method. In Python, a standard datetime.datetime object can be converted to this format using strftime with the time format spec '%Y-%m-%dT%H:%M:%S.%fZ'. Likewise, in Java, one can use the Joda Time's ISODateTimeFormat.dateTime() to obtain a formatter capable of generating timestamps in this format.

Examples:

"2023-01-15T01:30:15.01Z"

"2024-12-25T12:00:00Z"

limit
integer<int32>
default:10

(OPTIONAL) The maximum number of deposits to return. The maximum value that can be specified is 25.

Required range: 1 <= x <= 25
cursor
string

(OPTIONAL) Pagination cursor to be used in subsequent queries to retrieve the next page of results

Response

Success

deposits
Deposit · object[]
cursor
string

Pagination cursor to be used in subsequent queries to retrieve next page of results. If this field is omitted, there are no subsequent pages.